#ifndef __ASM_ARCH_OMAP34XX_H
#define __ASM_ARCH_OMAP34XX_H

/*
 * Please place only base defines here and put the rest in device
 * specific headers.
 */

#define OMAP3430_32KSYNCT_BASE	0x48320000
#define OMAP3430_CM_BASE	0x48004800
#define OMAP3430_PRM_BASE	0x48306800
#define OMAP343X_SMS_BASE	0x6C000000
#define OMAP343X_SDRC_BASE	0x6D000000
#define OMAP34XX_GPMC_BASE	0x6E000000
#define OMAP3430_SCM_BASE	0x48002000
#define OMAP3430_CTRL_BASE	OMAP3430_SCM_BASE

#define OMAP34XX_IC_BASE	0x48200000
#define OMAP34XX_IVA_INTC_BASE	0x40000000
#define IRQ_SIR_IRQ		0x0040


#if defined(CONFIG_ARCH_OMAP3430)

#define OMAP2_32KSYNCT_BASE	OMAP3430_32KSYNCT_BASE
#define OMAP2_CM_BASE		OMAP3430_CM_BASE
#define OMAP2_PRM_BASE		OMAP3430_PRM_BASE
#define OMAP2_SDRC_BASE		OMAP343X_SDRC_BASE
#define OMAP2_SMS_BASE		OMAP343X_SMS_BASE
#define OMAP2_L4_BASE		L4_34XX_BASE
#define OMAP2_VA_IC_BASE	IO_ADDRESS(OMAP34XX_IC_BASE)
#define OMAP2_CTRL_BASE		OMAP3430_CTRL_BASE

#endif


#define OMAP34XX_DSP_BASE	0x58000000
#define OMAP34XX_DSP_MEM_BASE	(OMAP34XX_DSP_BASE + 0x0)
#define OMAP34XX_DSP_IPI_BASE	(OMAP34XX_DSP_BASE + 0x1000000)
#define OMAP34XX_DSP_MMU_BASE	(OMAP34XX_DSP_BASE + 0x2000000)


#endif /* __ASM_ARCH_OMAP34XX_H */

